Difference between revisions of "Arch Rebar Helical/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Lo strumento '''Armatura elicoidale''' è anche integrato in BIM.")
 
(33 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
{{docnav/it|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Rebar_ColumnReinforcement/it|ColumnReinforcement]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}
+
{{Docnav/it|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Rebar_Circular_ColumnReinforcement/it|Armatura di colonna]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/it
 
{{GuiCommand/it
 
|Name=Arch Rebar Helical
 
|Name=Arch Rebar Helical
 
|Name/it=Armatura elicoidale
 
|Name/it=Armatura elicoidale
|MenuLocation=Arch → Armatura → Armatura elicoidale
+
|MenuLocation=Arch → Strumenti armatura → Armatura elicoidale o 3D/BIM → Reinforcement → Helical Rebar
 
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup/it|Staffa armatura]], [[Arch Rebar/it|Armatura]]
+
|SeeAlso=[[Arch_Rebar_Stirrup/it|Staffa armatura]], [[Arch_Rebar_ColumnReinforcement/it|Rinforzo di pilastro]]
 
|Version=0.17
 
|Version=0.17
 
}}
 
}}
</div>
 
  
 
==Descrizione==
 
==Descrizione==
  
Lo strumento [[Arch Rebar Helical/it|Armatura elicoidale]] consente all'utente di creare una barra di rinforzo elicoidale continua all'interno di un oggetto [[Arch Structure/it|Struttura]].  
+
Lo strumento [[Arch Rebar Helical/it|Armatura elicoidale]] consente all'utente di creare una barra di rinforzo elicoidale continua all'interno di un oggetto [[Arch Structure/it|Struttura]].
  
Questo comando fa parte del addon [[Reinforcement Addon/it|Reinforcement]], che si può installare con [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
+
Lo strumento '''Armatura elicoidale''' è anche integrato in [[BIM_Workbench/it|BIM]].
  
[[Image:Arch_Rebar_Helical_example.png|80px]]
+
Questo comando fa parte dell'ambiente [[Reinforcement Workbench/it|Reinforcement]], un [[External workbenches/it|ambiente esterno]] che si può installare con [[Image:AddonManager.svg|24px]] [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
 +
 
 +
:[[Image:Arch_Rebar_Helical_example.png|80px]]
 
{{Caption|Una barra di rinforzo elicoidale continua all'interno di una [[Arch Structure/it|Struttura]]}}
 
{{Caption|Una barra di rinforzo elicoidale continua all'interno di una [[Arch Structure/it|Struttura]]}}
  
== Utilizzo ==
+
==Utilizzo==
  
# Seleziona qualsiasi faccia di un oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} creato in precedenza.
+
# Selezionare qualsiasi faccia di un oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} creato in precedenza.
 
# Quindi selezionare {{Button|[[Image:Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical/it|Armatura elicoidale]]}} dal menu Armature.
 
# Quindi selezionare {{Button|[[Image:Arch_Rebar_Helical.svg|16px]] [[Arch Rebar Helical/it|Armatura elicoidale]]}} dal menu Armature.
# Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
+
# Sul lato sinistro dello schermo appare un [[task panel/it|pannello delle azioni]] come sottostante.
 
# Selezionare l'orientamento desiderato.
 
# Selezionare l'orientamento desiderato.
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor e diameter of the rebar.
+
# Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
# Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
+
# Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
# Se è selezionata la spaziatura, l'utente può anche optare per una  [[Custom_Spacing/it|spaziatura personalizzata]].
+
# Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una  [[Custom_Spacing/it|spaziatura personalizzata]].
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
+
# {{Button|Pick Selected Face}} serve per verificare o modificare la faccia per la distribuzione dell'armatura.
# Cliccare {{Button|OK}} o {{Button|Apply}} per generare l'armatura.
+
# Cliccare {{Button|OK}} o {{Button|Applica}} per generare l'armatura.
# Cliccare {{Button|Cancel}} per uscire dal pannello delle azioni
+
# Cliccare {{Button|Annulla}} per uscire dal pannello delle azioni.
.
 
  
[[Image:HelicalRebarDialog.png|250px]]
+
:[[Image:HelicalRebarDialog.png|250px]]
 
{{Caption|Pannello Azioni per lo strumento Armatura elicoidale di Arch}}
 
{{Caption|Pannello Azioni per lo strumento Armatura elicoidale di Arch}}
  
Line 51: Line 50:
  
 
Lo strumento Armatura elicoidale può essere usato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
 
Lo strumento Armatura elicoidale può essere usato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] utilizzando la seguente funzione:
 +
 
{{Code|code=
 
{{Code|code=
 
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
 
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
Line 62: Line 62:
  
 
=== Esempio ===
 
=== Esempio ===
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft, Arch, HelicalRebar
 
import FreeCAD, Draft, Arch, HelicalRebar
Line 89: Line 90:
 
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
 
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
 
}}
 
}}
<div class="mw-translate-fuzzy">
 
{{docnav/it|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Rebar/it|Armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar.svg}}
 
</div>
 
  
{{Arch Tools navi/it}}
+
{{Docnav/it|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Rebar_Circular_ColumnReinforcement/it|Armatura di colonna]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_Stirrup.svg|IconC=Workbench_Arch.svg |IconR=Arch_Rebar_ColumnReinforcement.svg}}
 +
 
 +
{{Arch Tools navi{{#translation:}}}}
  
{{Userdocnavi/it}}
+
{{Userdocnavi{{#translation:}}}}
  
[[Category:Reinforcement/it]]
+
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 21:14, 23 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar Stirrup.svg Staffe armatura Pagina precedente:
Pagina successiva: Armatura di colonna Arch Rebar ColumnReinforcement.svg Arrow-right.svg

Arch Rebar Helical.svg Armatura elicoidale

Nome nel codice
Arch Rebar Helical
Posizione nel menu
Arch → Strumenti armatura → Armatura elicoidale o 3D/BIM → Reinforcement → Helical Rebar
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Staffa armatura, Rinforzo di pilastro


Descrizione

Lo strumento Armatura elicoidale consente all'utente di creare una barra di rinforzo elicoidale continua all'interno di un oggetto Struttura.

Lo strumento Armatura elicoidale è anche integrato in BIM.

Questo comando fa parte dell'ambiente Reinforcement, un ambiente esterno che si può installare con AddonManager.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar Helical example.png

Una barra di rinforzo elicoidale continua all'interno di una Struttura


Utilizzo

  1. Selezionare qualsiasi faccia di un oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar Helical.svg Armatura elicoidale dal menu Armature.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
  6. Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
  7. Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Pick Selected Face serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Applica per generare l'armatura.
  10. Cliccare Annulla per uscire dal pannello delle azioni.
HelicalRebarDialog.png

Pannello Azioni per lo strumento Armatura elicoidale di Arch


Proprietà

  • DatiSide Cover: La distanza tra l'armatura e la faccia curva.
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiPitch: Il passo dell'elica, che è l'altezza di un giro completo di elica, misurato parallelo all'asse dell'elica.
  • DatiDiameter: Diametro della barra elicoidale.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura elicoidale può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Crea un oggetto Rebar da una data structure, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente..
  • s_cover, b_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset laterali, inferiori e superiori.
  • diameter è il diametro della spirale di rinforzo all'interno della struttura.
  • pitch è il parametro che determina la distanza tra le spire dell'armatura.

Esempio

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar è l'oggetto HelicalRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeHelicalRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
Arrow-left.svg Arch Rebar Stirrup.svg Staffe armatura Pagina precedente:
Pagina successiva: Armatura di colonna Arch Rebar ColumnReinforcement.svg Arrow-right.svg